1# Makefile.in generated by automake 1.11.6 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6# Foundation, Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17VPATH = @srcdir@
18am__make_dryrun = \
19  { \
20    am__dry=no; \
21    case $$MAKEFLAGS in \
22      *\\[\ \	]*) \
23        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
24          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
25      *) \
26        for am__flg in $$MAKEFLAGS; do \
27          case $$am__flg in \
28            *=*|--*) ;; \
29            *n*) am__dry=yes; break;; \
30          esac; \
31        done;; \
32    esac; \
33    test $$am__dry = yes; \
34  }
35pkgdatadir = $(datadir)/@PACKAGE@
36pkgincludedir = $(includedir)/@PACKAGE@
37pkglibdir = $(libdir)/@PACKAGE@
38pkglibexecdir = $(libexecdir)/@PACKAGE@
39am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
40install_sh_DATA = $(install_sh) -c -m 644
41install_sh_PROGRAM = $(install_sh) -c
42install_sh_SCRIPT = $(install_sh) -c
43INSTALL_HEADER = $(INSTALL_DATA)
44transform = $(program_transform_name)
45NORMAL_INSTALL = :
46PRE_INSTALL = :
47POST_INSTALL = :
48NORMAL_UNINSTALL = :
49PRE_UNINSTALL = :
50POST_UNINSTALL = :
51subdir = .
52DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
53	$(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS COPYING \
54	ChangeLog INSTALL NEWS depcomp install-sh missing
55ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
56am__aclocal_m4_deps = $(top_srcdir)/configure.in
57am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
58	$(ACLOCAL_M4)
59am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
60 configure.lineno config.status.lineno
61mkinstalldirs = $(install_sh) -d
62CONFIG_CLEAN_FILES =
63CONFIG_CLEAN_VPATH_FILES =
64SOURCES =
65DIST_SOURCES =
66RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
67	html-recursive info-recursive install-data-recursive \
68	install-dvi-recursive install-exec-recursive \
69	install-html-recursive install-info-recursive \
70	install-pdf-recursive install-ps-recursive install-recursive \
71	installcheck-recursive installdirs-recursive pdf-recursive \
72	ps-recursive uninstall-recursive
73am__can_run_installinfo = \
74  case $$AM_UPDATE_INFO_DIR in \
75    n|no|NO) false;; \
76    *) (install-info --version) >/dev/null 2>&1;; \
77  esac
78RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
79  distclean-recursive maintainer-clean-recursive
80AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
81	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
82	distdir dist dist-all distcheck
83ETAGS = etags
84CTAGS = ctags
85DIST_SUBDIRS = $(SUBDIRS)
86DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
87distdir = $(PACKAGE)-$(VERSION)
88top_distdir = $(distdir)
89am__remove_distdir = \
90  if test -d "$(distdir)"; then \
91    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
92      && rm -rf "$(distdir)" \
93      || { sleep 5 && rm -rf "$(distdir)"; }; \
94  else :; fi
95am__relativize = \
96  dir0=`pwd`; \
97  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
98  sed_rest='s,^[^/]*/*,,'; \
99  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
100  sed_butlast='s,/*[^/]*$$,,'; \
101  while test -n "$$dir1"; do \
102    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
103    if test "$$first" != "."; then \
104      if test "$$first" = ".."; then \
105        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
106        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
107      else \
108        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
109        if test "$$first2" = "$$first"; then \
110          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
111        else \
112          dir2="../$$dir2"; \
113        fi; \
114        dir0="$$dir0"/"$$first"; \
115      fi; \
116    fi; \
117    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
118  done; \
119  reldir="$$dir2"
120DIST_ARCHIVES = $(distdir).tar.gz
121GZIP_ENV = --best
122distuninstallcheck_listfiles = find . -type f -print
123am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
124  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
125distcleancheck_listfiles = find . -type f -print
126ACLOCAL = @ACLOCAL@
127AMTAR = @AMTAR@
128AUTOCONF = @AUTOCONF@
129AUTOHEADER = @AUTOHEADER@
130AUTOMAKE = @AUTOMAKE@
131AWK = @AWK@
132CC = @CC@
133CCDEPMODE = @CCDEPMODE@
134CFLAGS = @CFLAGS@
135CPPFLAGS = @CPPFLAGS@
136CYGPATH_W = @CYGPATH_W@
137DEFS = @DEFS@
138DEPDIR = @DEPDIR@
139DEPS_CFLAGS = @DEPS_CFLAGS@
140DEPS_LIBS = @DEPS_LIBS@
141ECHO_C = @ECHO_C@
142ECHO_N = @ECHO_N@
143ECHO_T = @ECHO_T@
144EXEEXT = @EXEEXT@
145INSTALL = @INSTALL@
146INSTALL_DATA = @INSTALL_DATA@
147INSTALL_PROGRAM = @INSTALL_PROGRAM@
148INSTALL_SCRIPT = @INSTALL_SCRIPT@
149INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
150LDFLAGS = @LDFLAGS@
151LIBOBJS = @LIBOBJS@
152LIBS = @LIBS@
153LTLIBOBJS = @LTLIBOBJS@
154MAKEINFO = @MAKEINFO@
155MKDIR_P = @MKDIR_P@
156OBJEXT = @OBJEXT@
157PACKAGE = @PACKAGE@
158PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
159PACKAGE_NAME = @PACKAGE_NAME@
160PACKAGE_STRING = @PACKAGE_STRING@
161PACKAGE_TARNAME = @PACKAGE_TARNAME@
162PACKAGE_URL = @PACKAGE_URL@
163PACKAGE_VERSION = @PACKAGE_VERSION@
164PATH_SEPARATOR = @PATH_SEPARATOR@
165PKG_CONFIG = @PKG_CONFIG@
166PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
167PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
168SET_MAKE = @SET_MAKE@
169SHELL = @SHELL@
170STRIP = @STRIP@
171VERSION = @VERSION@
172abs_builddir = @abs_builddir@
173abs_srcdir = @abs_srcdir@
174abs_top_builddir = @abs_top_builddir@
175abs_top_srcdir = @abs_top_srcdir@
176ac_ct_CC = @ac_ct_CC@
177am__include = @am__include@
178am__leading_dot = @am__leading_dot@
179am__quote = @am__quote@
180am__tar = @am__tar@
181am__untar = @am__untar@
182bindir = @bindir@
183build_alias = @build_alias@
184builddir = @builddir@
185datadir = @datadir@
186datarootdir = @datarootdir@
187docdir = @docdir@
188dvidir = @dvidir@
189exec_prefix = @exec_prefix@
190host_alias = @host_alias@
191htmldir = @htmldir@
192includedir = @includedir@
193infodir = @infodir@
194install_sh = @install_sh@
195libdir = @libdir@
196libexecdir = @libexecdir@
197localedir = @localedir@
198localstatedir = @localstatedir@
199mandir = @mandir@
200mkdir_p = @mkdir_p@
201oldincludedir = @oldincludedir@
202pdfdir = @pdfdir@
203prefix = @prefix@
204program_transform_name = @program_transform_name@
205psdir = @psdir@
206sbindir = @sbindir@
207sharedstatedir = @sharedstatedir@
208srcdir = @srcdir@
209sysconfdir = @sysconfdir@
210target_alias = @target_alias@
211top_build_prefix = @top_build_prefix@
212top_builddir = @top_builddir@
213top_srcdir = @top_srcdir@
214SUBDIRS = src
215all: all-recursive
216
217.SUFFIXES:
218am--refresh: Makefile
219	@:
220$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
221	@for dep in $?; do \
222	  case '$(am__configure_deps)' in \
223	    *$$dep*) \
224	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
225	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
226		&& exit 0; \
227	      exit 1;; \
228	  esac; \
229	done; \
230	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
231	$(am__cd) $(top_srcdir) && \
232	  $(AUTOMAKE) --gnu Makefile
233.PRECIOUS: Makefile
234Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
235	@case '$?' in \
236	  *config.status*) \
237	    echo ' $(SHELL) ./config.status'; \
238	    $(SHELL) ./config.status;; \
239	  *) \
240	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
241	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
242	esac;
243
244$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
245	$(SHELL) ./config.status --recheck
246
247$(top_srcdir)/configure:  $(am__configure_deps)
248	$(am__cd) $(srcdir) && $(AUTOCONF)
249$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
250	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
251$(am__aclocal_m4_deps):
252
253# This directory's subdirectories are mostly independent; you can cd
254# into them and run `make' without going through this Makefile.
255# To change the values of `make' variables: instead of editing Makefiles,
256# (1) if the variable is set in `config.status', edit `config.status'
257#     (which will cause the Makefiles to be regenerated when you run `make');
258# (2) otherwise, pass the desired values on the `make' command line.
259$(RECURSIVE_TARGETS):
260	@fail= failcom='exit 1'; \
261	for f in x $$MAKEFLAGS; do \
262	  case $$f in \
263	    *=* | --[!k]*);; \
264	    *k*) failcom='fail=yes';; \
265	  esac; \
266	done; \
267	dot_seen=no; \
268	target=`echo $@ | sed s/-recursive//`; \
269	list='$(SUBDIRS)'; for subdir in $$list; do \
270	  echo "Making $$target in $$subdir"; \
271	  if test "$$subdir" = "."; then \
272	    dot_seen=yes; \
273	    local_target="$$target-am"; \
274	  else \
275	    local_target="$$target"; \
276	  fi; \
277	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
278	  || eval $$failcom; \
279	done; \
280	if test "$$dot_seen" = "no"; then \
281	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
282	fi; test -z "$$fail"
283
284$(RECURSIVE_CLEAN_TARGETS):
285	@fail= failcom='exit 1'; \
286	for f in x $$MAKEFLAGS; do \
287	  case $$f in \
288	    *=* | --[!k]*);; \
289	    *k*) failcom='fail=yes';; \
290	  esac; \
291	done; \
292	dot_seen=no; \
293	case "$@" in \
294	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
295	  *) list='$(SUBDIRS)' ;; \
296	esac; \
297	rev=''; for subdir in $$list; do \
298	  if test "$$subdir" = "."; then :; else \
299	    rev="$$subdir $$rev"; \
300	  fi; \
301	done; \
302	rev="$$rev ."; \
303	target=`echo $@ | sed s/-recursive//`; \
304	for subdir in $$rev; do \
305	  echo "Making $$target in $$subdir"; \
306	  if test "$$subdir" = "."; then \
307	    local_target="$$target-am"; \
308	  else \
309	    local_target="$$target"; \
310	  fi; \
311	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
312	  || eval $$failcom; \
313	done && test -z "$$fail"
314tags-recursive:
315	list='$(SUBDIRS)'; for subdir in $$list; do \
316	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
317	done
318ctags-recursive:
319	list='$(SUBDIRS)'; for subdir in $$list; do \
320	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
321	done
322
323ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
324	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
325	unique=`for i in $$list; do \
326	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
327	  done | \
328	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
329	      END { if (nonempty) { for (i in files) print i; }; }'`; \
330	mkid -fID $$unique
331tags: TAGS
332
333TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
334		$(TAGS_FILES) $(LISP)
335	set x; \
336	here=`pwd`; \
337	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
338	  include_option=--etags-include; \
339	  empty_fix=.; \
340	else \
341	  include_option=--include; \
342	  empty_fix=; \
343	fi; \
344	list='$(SUBDIRS)'; for subdir in $$list; do \
345	  if test "$$subdir" = .; then :; else \
346	    test ! -f $$subdir/TAGS || \
347	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
348	  fi; \
349	done; \
350	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
351	unique=`for i in $$list; do \
352	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
353	  done | \
354	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
355	      END { if (nonempty) { for (i in files) print i; }; }'`; \
356	shift; \
357	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
358	  test -n "$$unique" || unique=$$empty_fix; \
359	  if test $$# -gt 0; then \
360	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
361	      "$$@" $$unique; \
362	  else \
363	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
364	      $$unique; \
365	  fi; \
366	fi
367ctags: CTAGS
368CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
369		$(TAGS_FILES) $(LISP)
370	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
371	unique=`for i in $$list; do \
372	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
373	  done | \
374	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
375	      END { if (nonempty) { for (i in files) print i; }; }'`; \
376	test -z "$(CTAGS_ARGS)$$unique" \
377	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
378	     $$unique
379
380GTAGS:
381	here=`$(am__cd) $(top_builddir) && pwd` \
382	  && $(am__cd) $(top_srcdir) \
383	  && gtags -i $(GTAGS_ARGS) "$$here"
384
385distclean-tags:
386	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
387
388distdir: $(DISTFILES)
389	$(am__remove_distdir)
390	test -d "$(distdir)" || mkdir "$(distdir)"
391	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
392	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
393	list='$(DISTFILES)'; \
394	  dist_files=`for file in $$list; do echo $$file; done | \
395	  sed -e "s|^$$srcdirstrip/||;t" \
396	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
397	case $$dist_files in \
398	  */*) $(MKDIR_P) `echo "$$dist_files" | \
399			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
400			   sort -u` ;; \
401	esac; \
402	for file in $$dist_files; do \
403	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
404	  if test -d $$d/$$file; then \
405	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
406	    if test -d "$(distdir)/$$file"; then \
407	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
408	    fi; \
409	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
410	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
411	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
412	    fi; \
413	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
414	  else \
415	    test -f "$(distdir)/$$file" \
416	    || cp -p $$d/$$file "$(distdir)/$$file" \
417	    || exit 1; \
418	  fi; \
419	done
420	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
421	  if test "$$subdir" = .; then :; else \
422	    $(am__make_dryrun) \
423	      || test -d "$(distdir)/$$subdir" \
424	      || $(MKDIR_P) "$(distdir)/$$subdir" \
425	      || exit 1; \
426	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
427	    $(am__relativize); \
428	    new_distdir=$$reldir; \
429	    dir1=$$subdir; dir2="$(top_distdir)"; \
430	    $(am__relativize); \
431	    new_top_distdir=$$reldir; \
432	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
433	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
434	    ($(am__cd) $$subdir && \
435	      $(MAKE) $(AM_MAKEFLAGS) \
436	        top_distdir="$$new_top_distdir" \
437	        distdir="$$new_distdir" \
438		am__remove_distdir=: \
439		am__skip_length_check=: \
440		am__skip_mode_fix=: \
441	        distdir) \
442	      || exit 1; \
443	  fi; \
444	done
445	-test -n "$(am__skip_mode_fix)" \
446	|| find "$(distdir)" -type d ! -perm -755 \
447		-exec chmod u+rwx,go+rx {} \; -o \
448	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
449	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
450	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
451	|| chmod -R a+r "$(distdir)"
452dist-gzip: distdir
453	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
454	$(am__remove_distdir)
455
456dist-bzip2: distdir
457	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
458	$(am__remove_distdir)
459
460dist-lzip: distdir
461	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
462	$(am__remove_distdir)
463
464dist-lzma: distdir
465	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
466	$(am__remove_distdir)
467
468dist-xz: distdir
469	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
470	$(am__remove_distdir)
471
472dist-tarZ: distdir
473	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
474	$(am__remove_distdir)
475
476dist-shar: distdir
477	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
478	$(am__remove_distdir)
479
480dist-zip: distdir
481	-rm -f $(distdir).zip
482	zip -rq $(distdir).zip $(distdir)
483	$(am__remove_distdir)
484
485dist dist-all: distdir
486	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
487	$(am__remove_distdir)
488
489# This target untars the dist file and tries a VPATH configuration.  Then
490# it guarantees that the distribution is self-contained by making another
491# tarfile.
492distcheck: dist
493	case '$(DIST_ARCHIVES)' in \
494	*.tar.gz*) \
495	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
496	*.tar.bz2*) \
497	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
498	*.tar.lzma*) \
499	  lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
500	*.tar.lz*) \
501	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
502	*.tar.xz*) \
503	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
504	*.tar.Z*) \
505	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
506	*.shar.gz*) \
507	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
508	*.zip*) \
509	  unzip $(distdir).zip ;;\
510	esac
511	chmod -R a-w $(distdir); chmod u+w $(distdir)
512	mkdir $(distdir)/_build
513	mkdir $(distdir)/_inst
514	chmod a-w $(distdir)
515	test -d $(distdir)/_build || exit 0; \
516	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
517	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
518	  && am__cwd=`pwd` \
519	  && $(am__cd) $(distdir)/_build \
520	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
521	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
522	    $(DISTCHECK_CONFIGURE_FLAGS) \
523	  && $(MAKE) $(AM_MAKEFLAGS) \
524	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
525	  && $(MAKE) $(AM_MAKEFLAGS) check \
526	  && $(MAKE) $(AM_MAKEFLAGS) install \
527	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
528	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
529	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
530	        distuninstallcheck \
531	  && chmod -R a-w "$$dc_install_base" \
532	  && ({ \
533	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
534	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
535	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
536	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
537	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
538	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
539	  && rm -rf "$$dc_destdir" \
540	  && $(MAKE) $(AM_MAKEFLAGS) dist \
541	  && rm -rf $(DIST_ARCHIVES) \
542	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
543	  && cd "$$am__cwd" \
544	  || exit 1
545	$(am__remove_distdir)
546	@(echo "$(distdir) archives ready for distribution: "; \
547	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
548	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
549distuninstallcheck:
550	@test -n '$(distuninstallcheck_dir)' || { \
551	  echo 'ERROR: trying to run $@ with an empty' \
552	       '$$(distuninstallcheck_dir)' >&2; \
553	  exit 1; \
554	}; \
555	$(am__cd) '$(distuninstallcheck_dir)' || { \
556	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
557	  exit 1; \
558	}; \
559	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
560	   || { echo "ERROR: files left after uninstall:" ; \
561	        if test -n "$(DESTDIR)"; then \
562	          echo "  (check DESTDIR support)"; \
563	        fi ; \
564	        $(distuninstallcheck_listfiles) ; \
565	        exit 1; } >&2
566distcleancheck: distclean
567	@if test '$(srcdir)' = . ; then \
568	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
569	  exit 1 ; \
570	fi
571	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
572	  || { echo "ERROR: files left in build directory after distclean:" ; \
573	       $(distcleancheck_listfiles) ; \
574	       exit 1; } >&2
575check-am: all-am
576check: check-recursive
577all-am: Makefile
578installdirs: installdirs-recursive
579installdirs-am:
580install: install-recursive
581install-exec: install-exec-recursive
582install-data: install-data-recursive
583uninstall: uninstall-recursive
584
585install-am: all-am
586	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
587
588installcheck: installcheck-recursive
589install-strip:
590	if test -z '$(STRIP)'; then \
591	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
592	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
593	      install; \
594	else \
595	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
596	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
597	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
598	fi
599mostlyclean-generic:
600
601clean-generic:
602
603distclean-generic:
604	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
605	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
606
607maintainer-clean-generic:
608	@echo "This command is intended for maintainers to use"
609	@echo "it deletes files that may require special tools to rebuild."
610clean: clean-recursive
611
612clean-am: clean-generic mostlyclean-am
613
614distclean: distclean-recursive
615	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
616	-rm -f Makefile
617distclean-am: clean-am distclean-generic distclean-tags
618
619dvi: dvi-recursive
620
621dvi-am:
622
623html: html-recursive
624
625html-am:
626
627info: info-recursive
628
629info-am:
630
631install-data-am:
632
633install-dvi: install-dvi-recursive
634
635install-dvi-am:
636
637install-exec-am:
638
639install-html: install-html-recursive
640
641install-html-am:
642
643install-info: install-info-recursive
644
645install-info-am:
646
647install-man:
648
649install-pdf: install-pdf-recursive
650
651install-pdf-am:
652
653install-ps: install-ps-recursive
654
655install-ps-am:
656
657installcheck-am:
658
659maintainer-clean: maintainer-clean-recursive
660	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
661	-rm -rf $(top_srcdir)/autom4te.cache
662	-rm -f Makefile
663maintainer-clean-am: distclean-am maintainer-clean-generic
664
665mostlyclean: mostlyclean-recursive
666
667mostlyclean-am: mostlyclean-generic
668
669pdf: pdf-recursive
670
671pdf-am:
672
673ps: ps-recursive
674
675ps-am:
676
677uninstall-am:
678
679.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \
680	install-am install-strip tags-recursive
681
682.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
683	all all-am am--refresh check check-am clean clean-generic \
684	ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
685	dist-lzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
686	distcheck distclean distclean-generic distclean-tags \
687	distcleancheck distdir distuninstallcheck dvi dvi-am html \
688	html-am info info-am install install-am install-data \
689	install-data-am install-dvi install-dvi-am install-exec \
690	install-exec-am install-html install-html-am install-info \
691	install-info-am install-man install-pdf install-pdf-am \
692	install-ps install-ps-am install-strip installcheck \
693	installcheck-am installdirs installdirs-am maintainer-clean \
694	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
695	pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
696
697
698# Tell versions [3.59,3.63) of GNU make to not export all variables.
699# Otherwise a system limit (for SysV at least) may be exceeded.
700.NOEXPORT:
701